Skip to main content
GET
/
sources
/
resolve
Resolve Source
curl --request GET \
  --url https://apigcp.trynia.ai/v2/sources/resolve \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "type": "repository",
  "display_name": "<string>",
  "identifier": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trynia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Query Parameters

identifier
string
required

Display name, URL, or slug

type
enum<string> | null

Source type hint

Available options:
repository,
documentation,
research_paper,
huggingface_dataset,
local_folder,
slack,
google_drive,
connector

Response

Successful Response

Response for resolving a source identifier.

id
string
required

Resolved source ID

type
enum<string>
required

Resolved source type

Available options:
repository,
documentation,
research_paper,
huggingface_dataset,
local_folder,
slack,
google_drive,
connector
display_name
string | null

Display name

identifier
string | null

Canonical identifier